package com.pcloud.book.record.dao;

import com.pcloud.book.record.entity.MapData;
import com.pcloud.common.core.dao.BaseDao;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;


public interface MapDataDAO extends BaseDao<MapData> {

    MapData selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MapData record);

    int updateByPrimaryKeyWithBLOBs(MapData record);

    int updateByPrimaryKey(MapData record);

}